Summary: Creates an initial ramdisk image for preloading modules.
Name: mkbootdisk
%define version 1.2.8
Version: %{version}
Release: 2tr
License: GPL
Group: System/Base
Source: mkbootdisk-%{version}.tar.gz
Patch: mkbootdisk-1.2.8-trustix.patch
Patch1: mkbootdisk-1.2.8-conf.modules.patch
Patch2: mkbootdisk-1.2.8-boot.patch
ExclusiveArch: i386 i586 i686 sparc
ExclusiveOs: Linux
Requires: mkinitrd
%ifarch sparc
Requires: silo genromfs
%endif
BuildRoot: /var/tmp/%{name}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system.  The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) /usr/share/man/man8/mkbootdisk.8*

%changelog
* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Mon Mar 12 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 1.2.8

* Wed Mar 29 2000 Lars Gaarden <larsg@trustix.com>
- Moved man page to /usr/share, FHS.

* Wed Feb  9 2000 Tore Olsen <toreo@trustix.com>
- replaced Red Hat with Trustix in boot message

* Mon Jan 10 2000 Erik Troan <ewt@redhat.com>
- removed rescue stuff

* Mon Nov  8 1999 Matt Wilson <msw@redhat.com>
- removed 'prompt' from silo.conf

* Mon Oct 25 1999 Jakub Jelinek <jakub@redhat.com>
- fix sparc ramdisk making for new modutils and kernel
  file layout.

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- ignore commented lines in fstab, generally more robust
  fstab parsing

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- ditto

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- add fix

* Tue May 25 1999 Matt Wilson <msw@redhat.com>
- added -P to the cp lines for devices to pick up parent directories
  for ida/ and rd/

* Wed Apr  7 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=2 as alan had to port his ramdisk hack from 2.0.x 

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=1 for rescue image, as 2.2 kernels get this right

* Thu Mar 18 1999 Matt Wilson <msw@redhat.com>
- fixed misspelling in man page

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated the description

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Fri Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- support for SPARC

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- wasn't including nfs, isofs, or fat modules properly
- mkinitrd args weren't passed right due to a typo
